Name:		qjackctl
Version:	0.3.8
Release:	2%{?dist}

Summary:	Qt based JACK control application
URL:		http://qjackctl.sourceforge.net
Source0:	http://downloads.sourceforge.net/qjackctl/files/%{name}-%{version}.tar.gz
# We don't want .qm files in the default locale dir
Patch1:		qjackctl-fix-locale-path.patch
License:	GPLv2+
Group:		Applications/Multimedia
Requires:	hicolor-icon-theme
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf, automake
BuildRequires:	desktop-file-utils
BuildRequires:	jack-audio-connection-kit-devel
#BuildRequires: portaudio-devel
BuildRequires:	qt4-devel


%description
Qjackctl is a simple application to control the JACK sound server daemon,
specific for the Linux Audio Desktop infrastructure. It provides a simple GUI
dialog for setting several JACK daemon parameters, which are properly saved
between sessions, and a way to control the status of the audio server daemon.
With time, this primordial interface has become richer by including a enhanced
patchbay and connection control features.


%prep
%setup -q
%patch1 -p1 -b .localedir


%build
autoreconf
QT4DIR=%{_qt4_libdir} QMAKE=%{_qt4_qmake} %configure --with-qt=%{_qt4_prefix}
# Parallel make fails sometimes {?_smp_mflags}
make 


%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    --delete-original \
    %{buildroot}%{_datadir}/applications/qjackctl.desktop
# Create the lang file. %%find_lang does not handle .qm files
for file in %{buildroot}%{_datadir}/qjackctl/locale/*.qm; do
  language=$(basename $file|cut -f 2 -d _|sed 's|\..*||')
  echo %%lang\($language\) %{_datadir}/qjackctl/locale/qjackctl_$language.qm >> qjackctl.lang
done


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f qjackctl.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/qjackctl
%dir %{_datadir}/qjackctl/
%{_datadir}/icons/hicolor/32x32/apps/qjackctl.png
%{_datadir}/applications/qjackctl.desktop
%{_mandir}/man1/%{name}*


%changelog
* Sun May 06 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.3.8-2
- imported from Fedora
- cleaned up spec-file
- disabled portaudio dependency as we don't currently support it

